module Cardbins
  class Brand
    def self.search(bin)
      treated_bin = bin.ljust(19, "0").to_i

      bin_detail = self.bins["Bins"]["BinRng"].find do |range|
        (range["MinRange"].to_i..range["MaxRange"].to_i).include? treated_bin
      end

      self.brand_search(bin_detail["TefBrandId"]) if bin_detail
    end

    def self.brand_search(id)
      brand_detail = self.brands["Brands"]["CrdBrd"].find {|brand_detail| brand_detail["Id"].to_i == id.to_i }
      brand_detail["Description"] if brand_detail
    end

    def self.brands
      @brands ||= {"Brands"=>
        {"CrdBrd"=>
          [{"Id"=>"1", "Description"=>"VISA"},
            {"Id"=>"2", "Description"=>"MASTERCARD"},
            {"Id"=>"3", "Description"=>"HIPERCARD"},
            {"Id"=>"5", "Description"=>"TICKET"},
            {"Id"=>"8", "Description"=>"SODEXO"},
            {"Id"=>"14", "Description"=>"VR"},
            {"Id"=>"19", "Description"=>"ELO"},
            {"Id"=>"21", "Description"=>"ALELO"},
            {"Id"=>"23", "Description"=>"AMEX"}]}}
    end

    def self.bins
      @bins ||= {"Bins"=>
        {"BinRng"=>
          [{"MinRange"=>"3747280000000000000",
            "MaxRange"=>"3747280000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3747290000000000000",
            "MaxRange"=>"3747290000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3747310000000000000",
            "MaxRange"=>"3747310000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3747320000000000000",
            "MaxRange"=>"3747320000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3747580000000000000",
            "MaxRange"=>"3747580000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3747590000000000000",
            "MaxRange"=>"3747590000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3747600000000000000",
            "MaxRange"=>"3747600000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3747610000000000000",
            "MaxRange"=>"3747610000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3747620000000000000",
            "MaxRange"=>"3747620000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3747630000000000000",
            "MaxRange"=>"3747630000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3747640000000000000",
            "MaxRange"=>"3747640000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3747650000000000000",
            "MaxRange"=>"3747650000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3747660000000000000",
            "MaxRange"=>"3747660000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3747670000000000000",
            "MaxRange"=>"3747670000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3747680000000000000",
            "MaxRange"=>"3747680000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3747690000000000000",
            "MaxRange"=>"3747690000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3747700000000000000",
            "MaxRange"=>"3747700000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3747710000000000000",
            "MaxRange"=>"3747710000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3747720000000000000",
            "MaxRange"=>"3747720000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3747730000000000000",
            "MaxRange"=>"3747730000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3747740000000000000",
            "MaxRange"=>"3747740000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3747750000000000000",
            "MaxRange"=>"3747750000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3747760000000000000",
            "MaxRange"=>"3747760000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3747770000000000000",
            "MaxRange"=>"3747770000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3751300000000000000",
            "MaxRange"=>"3751300000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3751310000000000000",
            "MaxRange"=>"3751310000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3751320000000000000",
            "MaxRange"=>"3751320000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3751330000000000000",
            "MaxRange"=>"3751330000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3751340000000000000",
            "MaxRange"=>"3751340000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3751350000000000000",
            "MaxRange"=>"3751350000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3751360000000000000",
            "MaxRange"=>"3751360000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3751370000000000000",
            "MaxRange"=>"3751370000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3751380000000000000",
            "MaxRange"=>"3751380000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3751390000000000000",
            "MaxRange"=>"3751390000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3751770000000000000",
            "MaxRange"=>"3751770000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3751780000000000000",
            "MaxRange"=>"3751780000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3751790000000000000",
            "MaxRange"=>"3751790000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764200000000000000",
            "MaxRange"=>"3764200000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764210000000000000",
            "MaxRange"=>"3764210000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764220000000000000",
            "MaxRange"=>"3764220000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764230000000000000",
            "MaxRange"=>"3764230000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764240000000000000",
            "MaxRange"=>"3764240000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764250000000000000",
            "MaxRange"=>"3764250000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764260000000000000",
            "MaxRange"=>"3764260000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764270000000000000",
            "MaxRange"=>"3764270000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764280000000000000",
            "MaxRange"=>"3764280000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764290000000000000",
            "MaxRange"=>"3764290000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764300000000000000",
            "MaxRange"=>"3764300000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764310000000000000",
            "MaxRange"=>"3764310000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764320000000000000",
            "MaxRange"=>"3764320000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764330000000000000",
            "MaxRange"=>"3764330000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764340000000000000",
            "MaxRange"=>"3764340000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764350000000000000",
            "MaxRange"=>"3764350000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764360000000000000",
            "MaxRange"=>"3764360000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764370000000000000",
            "MaxRange"=>"3764370000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764380000000000000",
            "MaxRange"=>"3764380000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764390000000000000",
            "MaxRange"=>"3764390000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764400000000000000",
            "MaxRange"=>"3764400000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764410000000000000",
            "MaxRange"=>"3764410000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764420000000000000",
            "MaxRange"=>"3764420000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764430000000000000",
            "MaxRange"=>"3764430000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764440000000000000",
            "MaxRange"=>"3764440000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764450000000000000",
            "MaxRange"=>"3764450000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764460000000000000",
            "MaxRange"=>"3764460000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764470000000000000",
            "MaxRange"=>"3764470000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764480000000000000",
            "MaxRange"=>"3764480000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764490000000000000",
            "MaxRange"=>"3764490000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764610000000000000",
            "MaxRange"=>"3764610000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764620000000000000",
            "MaxRange"=>"3764620000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764630000000000000",
            "MaxRange"=>"3764630000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764640000000000000",
            "MaxRange"=>"3764640000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764650000000000000",
            "MaxRange"=>"3764650000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764660000000000000",
            "MaxRange"=>"3764660000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764670000000000000",
            "MaxRange"=>"3764670000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764680000000000000",
            "MaxRange"=>"3764680000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764690000000000000",
            "MaxRange"=>"3764690000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764700000000000000",
            "MaxRange"=>"3764700000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764710000000000000",
            "MaxRange"=>"3764710000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764720000000000000",
            "MaxRange"=>"3764720000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764730000000000000",
            "MaxRange"=>"3764730000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764740000000000000",
            "MaxRange"=>"3764740000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764750000000000000",
            "MaxRange"=>"3764750000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764760000000000000",
            "MaxRange"=>"3764760000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764770000000000000",
            "MaxRange"=>"3764770000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764780000000000000",
            "MaxRange"=>"3764780000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764790000000000000",
            "MaxRange"=>"3764790000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764800000000000000",
            "MaxRange"=>"3764800000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764810000000000000",
            "MaxRange"=>"3764810000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764820000000000000",
            "MaxRange"=>"3764820000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764830000000000000",
            "MaxRange"=>"3764830000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764840000000000000",
            "MaxRange"=>"3764840000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764850000000000000",
            "MaxRange"=>"3764850000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764860000000000000",
            "MaxRange"=>"3764860000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764870000000000000",
            "MaxRange"=>"3764870000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764880000000000000",
            "MaxRange"=>"3764880000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764890000000000000",
            "MaxRange"=>"3764890000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764900000000000000",
            "MaxRange"=>"3764900000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764910000000000000",
            "MaxRange"=>"3764910000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764920000000000000",
            "MaxRange"=>"3764920000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764930000000000000",
            "MaxRange"=>"3764930000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764940000000000000",
            "MaxRange"=>"3764940000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764950000000000000",
            "MaxRange"=>"3764950000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764960000000000000",
            "MaxRange"=>"3764960000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764970000000000000",
            "MaxRange"=>"3764970000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764980000000000000",
            "MaxRange"=>"3764980000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3764990000000000000",
            "MaxRange"=>"3764990000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765000000000000000",
            "MaxRange"=>"3765000000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765010000000000000",
            "MaxRange"=>"3765010000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765020000000000000",
            "MaxRange"=>"3765020000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765030000000000000",
            "MaxRange"=>"3765030000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765040000000000000",
            "MaxRange"=>"3765040000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765050000000000000",
            "MaxRange"=>"3765050000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765060000000000000",
            "MaxRange"=>"3765060000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765070000000000000",
            "MaxRange"=>"3765070000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765080000000000000",
            "MaxRange"=>"3765080000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765090000000000000",
            "MaxRange"=>"3765090000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765100000000000000",
            "MaxRange"=>"3765100000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765110000000000000",
            "MaxRange"=>"3765110000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765120000000000000",
            "MaxRange"=>"3765120000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765130000000000000",
            "MaxRange"=>"3765130000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765140000000000000",
            "MaxRange"=>"3765140000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765150000000000000",
            "MaxRange"=>"3765150000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765160000000000000",
            "MaxRange"=>"3765160000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765170000000000000",
            "MaxRange"=>"3765170000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765180000000000000",
            "MaxRange"=>"3765180000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765190000000000000",
            "MaxRange"=>"3765190000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765200000000000000",
            "MaxRange"=>"3765200000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765210000000000000",
            "MaxRange"=>"3765210000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765220000000000000",
            "MaxRange"=>"3765220000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765230000000000000",
            "MaxRange"=>"3765230000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765240000000000000",
            "MaxRange"=>"3765240000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765250000000000000",
            "MaxRange"=>"3765250000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765260000000000000",
            "MaxRange"=>"3765260000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765270000000000000",
            "MaxRange"=>"3765270000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765280000000000000",
            "MaxRange"=>"3765280000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765290000000000000",
            "MaxRange"=>"3765290000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765300000000000000",
            "MaxRange"=>"3765300000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765310000000000000",
            "MaxRange"=>"3765310000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765320000000000000",
            "MaxRange"=>"3765320000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765330000000000000",
            "MaxRange"=>"3765330000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765340000000000000",
            "MaxRange"=>"3765340000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765350000000000000",
            "MaxRange"=>"3765350000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765360000000000000",
            "MaxRange"=>"3765360000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765370000000000000",
            "MaxRange"=>"3765370000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765380000000000000",
            "MaxRange"=>"3765380000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765390000000000000",
            "MaxRange"=>"3765390000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765400000000000000",
            "MaxRange"=>"3765400000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765410000000000000",
            "MaxRange"=>"3765410000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765420000000000000",
            "MaxRange"=>"3765420000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765430000000000000",
            "MaxRange"=>"3765430000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765440000000000000",
            "MaxRange"=>"3765440000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765450000000000000",
            "MaxRange"=>"3765450000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765460000000000000",
            "MaxRange"=>"3765460000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765470000000000000",
            "MaxRange"=>"3765470000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765480000000000000",
            "MaxRange"=>"3765480000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765490000000000000",
            "MaxRange"=>"3765490000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765500000000000000",
            "MaxRange"=>"3765500000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765510000000000000",
            "MaxRange"=>"3765510000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765520000000000000",
            "MaxRange"=>"3765520000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765530000000000000",
            "MaxRange"=>"3765530000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3765540000000000000",
            "MaxRange"=>"3765540000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3766000000000000000",
            "MaxRange"=>"3766000000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3766010000000000000",
            "MaxRange"=>"3766010000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3766020000000000000",
            "MaxRange"=>"3766020000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3766030000000000000",
            "MaxRange"=>"3766030000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3766040000000000000",
            "MaxRange"=>"3766040000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3766050000000000000",
            "MaxRange"=>"3766050000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3766060000000000000",
            "MaxRange"=>"3766060000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3766070000000000000",
            "MaxRange"=>"3766070000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3766080000000000000",
            "MaxRange"=>"3766080000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3766090000000000000",
            "MaxRange"=>"3766090000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3766100000000000000",
            "MaxRange"=>"3766100000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3766110000000000000",
            "MaxRange"=>"3766110000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3766120000000000000",
            "MaxRange"=>"3766120000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3766130000000000000",
            "MaxRange"=>"3766130000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3766140000000000000",
            "MaxRange"=>"3766140000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3766150000000000000",
            "MaxRange"=>"3766150000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3766160000000000000",
            "MaxRange"=>"3766160000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3766170000000000000",
            "MaxRange"=>"3766170000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3766180000000000000",
            "MaxRange"=>"3766180000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3766190000000000000",
            "MaxRange"=>"3766190000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3766200000000000000",
            "MaxRange"=>"3766200000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3766210000000000000",
            "MaxRange"=>"3766210000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3766220000000000000",
            "MaxRange"=>"3766220000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3766230000000000000",
            "MaxRange"=>"3766230000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3766240000000000000",
            "MaxRange"=>"3766240000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3766250000000000000",
            "MaxRange"=>"3766250000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3766260000000000000",
            "MaxRange"=>"3766260000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3766270000000000000",
            "MaxRange"=>"3766270000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3766280000000000000",
            "MaxRange"=>"3766280000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3766290000000000000",
            "MaxRange"=>"3766290000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768000000000000000",
            "MaxRange"=>"3768000000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768010000000000000",
            "MaxRange"=>"3768010000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768020000000000000",
            "MaxRange"=>"3768020000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768030000000000000",
            "MaxRange"=>"3768030000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768040000000000000",
            "MaxRange"=>"3768040000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768050000000000000",
            "MaxRange"=>"3768050000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768060000000000000",
            "MaxRange"=>"3768060000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768070000000000000",
            "MaxRange"=>"3768070000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768080000000000000",
            "MaxRange"=>"3768080000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768090000000000000",
            "MaxRange"=>"3768090000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768100000000000000",
            "MaxRange"=>"3768100000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768110000000000000",
            "MaxRange"=>"3768110000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768120000000000000",
            "MaxRange"=>"3768120000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768130000000000000",
            "MaxRange"=>"3768130000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768140000000000000",
            "MaxRange"=>"3768140000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768150000000000000",
            "MaxRange"=>"3768150000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768160000000000000",
            "MaxRange"=>"3768160000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768170000000000000",
            "MaxRange"=>"3768170000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768180000000000000",
            "MaxRange"=>"3768180000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768190000000000000",
            "MaxRange"=>"3768190000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768200000000000000",
            "MaxRange"=>"3768200000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768210000000000000",
            "MaxRange"=>"3768210000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768220000000000000",
            "MaxRange"=>"3768220000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768230000000000000",
            "MaxRange"=>"3768230000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768240000000000000",
            "MaxRange"=>"3768240000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768250000000000000",
            "MaxRange"=>"3768250000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768260000000000000",
            "MaxRange"=>"3768260000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768270000000000000",
            "MaxRange"=>"3768270000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768280000000000000",
            "MaxRange"=>"3768280000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768290000000000000",
            "MaxRange"=>"3768290000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768300000000000000",
            "MaxRange"=>"3768300000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768310000000000000",
            "MaxRange"=>"3768310000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768320000000000000",
            "MaxRange"=>"3768320000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768330000000000000",
            "MaxRange"=>"3768330000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768340000000000000",
            "MaxRange"=>"3768340000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768350000000000000",
            "MaxRange"=>"3768350000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768360000000000000",
            "MaxRange"=>"3768360000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768370000000000000",
            "MaxRange"=>"3768370000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768380000000000000",
            "MaxRange"=>"3768380000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768390000000000000",
            "MaxRange"=>"3768390000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768400000000000000",
            "MaxRange"=>"3768400000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768410000000000000",
            "MaxRange"=>"3768410000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768420000000000000",
            "MaxRange"=>"3768420000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768430000000000000",
            "MaxRange"=>"3768430000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768440000000000000",
            "MaxRange"=>"3768440000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768450000000000000",
            "MaxRange"=>"3768450000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768460000000000000",
            "MaxRange"=>"3768460000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768470000000000000",
            "MaxRange"=>"3768470000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768480000000000000",
            "MaxRange"=>"3768480000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768490000000000000",
            "MaxRange"=>"3768490000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768500000000000000",
            "MaxRange"=>"3768500000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768510000000000000",
            "MaxRange"=>"3768510000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768520000000000000",
            "MaxRange"=>"3768520000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768530000000000000",
            "MaxRange"=>"3768530000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768540000000000000",
            "MaxRange"=>"3768540000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768550000000000000",
            "MaxRange"=>"3768550000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768560000000000000",
            "MaxRange"=>"3768560000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768570000000000000",
            "MaxRange"=>"3768570000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768580000000000000",
            "MaxRange"=>"3768580000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768590000000000000",
            "MaxRange"=>"3768590000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768600000000000000",
            "MaxRange"=>"3768600000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768610000000000000",
            "MaxRange"=>"3768610000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768630000000000000",
            "MaxRange"=>"3768630000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768640000000000000",
            "MaxRange"=>"3768640000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768650000000000000",
            "MaxRange"=>"3768650000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768660000000000000",
            "MaxRange"=>"3768660000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768670000000000000",
            "MaxRange"=>"3768670000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768680000000000000",
            "MaxRange"=>"3768680000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768690000000000000",
            "MaxRange"=>"3768690000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768700000000000000",
            "MaxRange"=>"3768700000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768710000000000000",
            "MaxRange"=>"3768710000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768720000000000000",
            "MaxRange"=>"3768720000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768730000000000000",
            "MaxRange"=>"3768730000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768740000000000000",
            "MaxRange"=>"3768740000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768750000000000000",
            "MaxRange"=>"3768750000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768760000000000000",
            "MaxRange"=>"3768760000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768770000000000000",
            "MaxRange"=>"3768770000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768780000000000000",
            "MaxRange"=>"3768780000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768790000000000000",
            "MaxRange"=>"3768790000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768800000000000000",
            "MaxRange"=>"3768800000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768810000000000000",
            "MaxRange"=>"3768810000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768820000000000000",
            "MaxRange"=>"3768820000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768830000000000000",
            "MaxRange"=>"3768830000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768840000000000000",
            "MaxRange"=>"3768840000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768850000000000000",
            "MaxRange"=>"3768850000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768860000000000000",
            "MaxRange"=>"3768860000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768870000000000000",
            "MaxRange"=>"3768870000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768880000000000000",
            "MaxRange"=>"3768880000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768890000000000000",
            "MaxRange"=>"3768890000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768900000000000000",
            "MaxRange"=>"3768900000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768910000000000000",
            "MaxRange"=>"3768910000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768920000000000000",
            "MaxRange"=>"3768920000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768930000000000000",
            "MaxRange"=>"3768930000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768940000000000000",
            "MaxRange"=>"3768940000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768950000000000000",
            "MaxRange"=>"3768950000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768960000000000000",
            "MaxRange"=>"3768960000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768970000000000000",
            "MaxRange"=>"3768970000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768980000000000000",
            "MaxRange"=>"3768980000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3768990000000000000",
            "MaxRange"=>"3768990000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3771690000000000000",
            "MaxRange"=>"3771690000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"3771740000000000000",
            "MaxRange"=>"3771740000000000000",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
            {"MinRange"=>"0424100000000000000",
            "MaxRange"=>"0424109999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"0424100000000000000",
            "MaxRange"=>"0424109999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6062820000000000000",
             "MaxRange"=>"6062829999999999999",
             "TefBrandId"=>"3",
             "DataSetVersion"=>"0"},
           {"MinRange"=>"6370950000000000000",
             "MaxRange"=>"6370959999999999999",
             "TefBrandId"=>"3",
             "DataSetVersion"=>"0"},
           {"MinRange"=>"6375680000000000000",
             "MaxRange"=>"6375689999999999999",
             "TefBrandId"=>"3",
             "DataSetVersion"=>"0"},
           {"MinRange"=>"6375990000000000000",
             "MaxRange"=>"6375999999999999999",
             "TefBrandId"=>"3",
             "DataSetVersion"=>"0"},
           {"MinRange"=>"6376090000000000000",
             "MaxRange"=>"6376099999999999999",
             "TefBrandId"=>"3",
             "DataSetVersion"=>"0"},
           {"MinRange"=>"6376120000000000000",
             "MaxRange"=>"6376129999999999999",
             "TefBrandId"=>"3",
             "DataSetVersion"=>"0"},
           {"MinRange"=>"2001000000000000000",
            "MaxRange"=>"2724815899999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"2001000000000000000",
            "MaxRange"=>"2724815899999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"3085130000000000000",
            "MaxRange"=>"3085139999999999999",
            "TefBrandId"=>"5",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"3528000000000000000",
            "MaxRange"=>"3587969999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"3528000000000000000",
            "MaxRange"=>"3587969999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"3562900000000000000",
            "MaxRange"=>"3779889999999999999",
            "TefBrandId"=>"1",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"3562900000000000000",
            "MaxRange"=>"3779889999999999999",
            "TefBrandId"=>"1",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"4000060000000000000",
            "MaxRange"=>"4011779999999999999",
            "TefBrandId"=>"1",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"4000060000000000000",
            "MaxRange"=>"4011779999999999999",
            "TefBrandId"=>"1",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"4011780000000000000",
            "MaxRange"=>"4011799999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"4011780000000000000",
            "MaxRange"=>"4011799999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"4011800000000000000",
            "MaxRange"=>"4312739999999999999",
            "TefBrandId"=>"1",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"4011800000000000000",
            "MaxRange"=>"4312739999999999999",
            "TefBrandId"=>"1",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"4312740000000000000",
            "MaxRange"=>"4312749999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"4312750000000000000",
            "MaxRange"=>"4389349999999999999",
            "TefBrandId"=>"1",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"4312750000000000000",
            "MaxRange"=>"4389349999999999999",
            "TefBrandId"=>"1",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"4389350000000000000",
            "MaxRange"=>"4389359999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"4389350000000000000",
            "MaxRange"=>"4389359999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"4389360000000000000",
            "MaxRange"=>"4514159999999999999",
            "TefBrandId"=>"1",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"4389360000000000000",
            "MaxRange"=>"4514159999999999999",
            "TefBrandId"=>"1",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"4514160000000000000",
            "MaxRange"=>"4514169999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"4514170000000000000",
            "MaxRange"=>"4573929999999999999",
            "TefBrandId"=>"1",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"4514170000000000000",
            "MaxRange"=>"4573929999999999999",
            "TefBrandId"=>"1",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"4573930000000000000",
            "MaxRange"=>"4573939999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"4573930000000000000",
            "MaxRange"=>"4573939999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"4573940000000000000",
            "MaxRange"=>"4576309999999999999",
            "TefBrandId"=>"1",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"4573940000000000000",
            "MaxRange"=>"4576309999999999999",
            "TefBrandId"=>"1",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"4576310000000000000",
            "MaxRange"=>"4576329999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"4576310000000000000",
            "MaxRange"=>"4576329999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"4576330000000000000",
            "MaxRange"=>"4999999999999999999",
            "TefBrandId"=>"1",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"4576330000000000000",
            "MaxRange"=>"4999999999999999999",
            "TefBrandId"=>"1",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5000048030000000000",
            "MaxRange"=>"5041749999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5000048030000000000",
            "MaxRange"=>"5041749999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5041750000000000000",
            "MaxRange"=>"5041759999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5041750000000000000",
            "MaxRange"=>"5041759999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5041760000000000000",
            "MaxRange"=>"5066989999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5041760000000000000",
            "MaxRange"=>"5066989999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5066990000000000000",
            "MaxRange"=>"5066999999999999999",
            "TefBrandId"=>"21",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067000000000000000",
            "MaxRange"=>"5067029999999999999",
            "TefBrandId"=>"21",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067030000000000000",
            "MaxRange"=>"5067039999999999999",
            "TefBrandId"=>"21",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067040000000000000",
            "MaxRange"=>"5067069999999999999",
            "TefBrandId"=>"21",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067070000000000000",
            "MaxRange"=>"5067089999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067090000000000000",
            "MaxRange"=>"5067089999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067090000000000000",
            "MaxRange"=>"5067089999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067090000000000000",
            "MaxRange"=>"5067099999999999999",
            "TefBrandId"=>"21",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067100000000000000",
            "MaxRange"=>"5067129999999999999",
            "TefBrandId"=>"21",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067130000000000000",
            "MaxRange"=>"5067139999999999999",
            "TefBrandId"=>"21",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067140000000000000",
            "MaxRange"=>"5067149999999999999",
            "TefBrandId"=>"21",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067150000000000000",
            "MaxRange"=>"5067159999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067160000000000000",
            "MaxRange"=>"5067169999999999999",
            "TefBrandId"=>"21",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067170000000000000",
            "MaxRange"=>"5067189999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067190000000000000",
            "MaxRange"=>"5067199999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067200000000000000",
            "MaxRange"=>"5067219999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067200000000000000",
            "MaxRange"=>"5067219999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067220000000000000",
            "MaxRange"=>"5067229999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067230000000000000",
            "MaxRange"=>"5067239999999999999",
            "TefBrandId"=>"21",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067240000000000000",
            "MaxRange"=>"5067329999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067240000000000000",
            "MaxRange"=>"5067329999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067330000000000000",
            "MaxRange"=>"5067339999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067340000000000000",
            "MaxRange"=>"5067349999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067350000000000000",
            "MaxRange"=>"5067369999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067370000000000000",
            "MaxRange"=>"5067379999999999999",
            "TefBrandId"=>"21",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067380000000000000",
            "MaxRange"=>"5067389999999999999",
            "TefBrandId"=>"21",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067390000000000000",
            "MaxRange"=>"5067399999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067400000000000000",
            "MaxRange"=>"5067409999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067400000000000000",
            "MaxRange"=>"5067409999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067410000000000000",
            "MaxRange"=>"5067439999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067440000000000000",
            "MaxRange"=>"5067489999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067440000000000000",
            "MaxRange"=>"5067489999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067490000000000000",
            "MaxRange"=>"5067499999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067490000000000000",
            "MaxRange"=>"5067499999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067500000000000000",
            "MaxRange"=>"5067529999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067530000000000000",
            "MaxRange"=>"5067539999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067530000000000000",
            "MaxRange"=>"5067539999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067540000000000000",
            "MaxRange"=>"5067599999999999999",
            "TefBrandId"=>"21",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067600000000000000",
            "MaxRange"=>"5067659999999999999",
            "TefBrandId"=>"21",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067660000000000000",
            "MaxRange"=>"5067699999999999999",
            "TefBrandId"=>"21",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067700000000000000",
            "MaxRange"=>"5067739999999999999",
            "TefBrandId"=>"21",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067740000000000000",
            "MaxRange"=>"5067749999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067750000000000000",
            "MaxRange"=>"5067759999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067750000000000000",
            "MaxRange"=>"5067759999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067760000000000000",
            "MaxRange"=>"5067769999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067770000000000000",
            "MaxRange"=>"5067779999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067770000000000000",
            "MaxRange"=>"5067779999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067780000000000000",
            "MaxRange"=>"5067789999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067790000000000000",
            "MaxRange"=>"5089999999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5067790000000000000",
            "MaxRange"=>"5089999999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5090000000000000000",
            "MaxRange"=>"5090029999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5090000000000000000",
            "MaxRange"=>"5090029999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5090030000000000000",
            "MaxRange"=>"5090039999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5090040000000000000",
            "MaxRange"=>"5090099999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5090100000000000000",
            "MaxRange"=>"5090109999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5090110000000000000",
            "MaxRange"=>"5090119999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5090120000000000000",
            "MaxRange"=>"5090129999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5090130000000000000",
            "MaxRange"=>"5090139999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5090140000000000000",
            "MaxRange"=>"5090199999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5090200000000000000",
            "MaxRange"=>"5090299999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5090300000000000000",
            "MaxRange"=>"5090309999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5090310000000000000",
            "MaxRange"=>"5090319999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5090320000000000000",
            "MaxRange"=>"5090329999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5090330000000000000",
            "MaxRange"=>"5090339999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5090340000000000000",
            "MaxRange"=>"5090349999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5090350000000000000",
            "MaxRange"=>"5090539999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5090540000000000000",
            "MaxRange"=>"5090639999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5090640000000000000",
            "MaxRange"=>"5090649999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5090650000000000000",
            "MaxRange"=>"5090659999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5090660000000000000",
            "MaxRange"=>"5090699999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5090660000000000000",
            "MaxRange"=>"5090699999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5090700000000000000",
            "MaxRange"=>"5090719999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5090720000000000000",
            "MaxRange"=>"5090729999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5090720000000000000",
            "MaxRange"=>"5090729999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5090730000000000000",
            "MaxRange"=>"5090739999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5090740000000000000",
            "MaxRange"=>"5090749999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5090740000000000000",
            "MaxRange"=>"5090749999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5090750000000000000",
            "MaxRange"=>"5090759999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5090760000000000000",
            "MaxRange"=>"5090769999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5090760000000000000",
            "MaxRange"=>"5090769999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5090770000000000000",
            "MaxRange"=>"5090809999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5090810000000000000",
            "MaxRange"=>"5090839999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5090810000000000000",
            "MaxRange"=>"5090839999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5090840000000000000",
            "MaxRange"=>"5090849999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5090850000000000000",
            "MaxRange"=>"5098109999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5090850000000000000",
            "MaxRange"=>"5098109999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5098110000000000000",
            "MaxRange"=>"5099029999999999999",
            "TefBrandId"=>"21",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5099030000000000000",
            "MaxRange"=>"5099639999999999999",
            "TefBrandId"=>"21",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5099640000000000000",
            "MaxRange"=>"5099639999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5099640000000000000",
            "MaxRange"=>"5099639999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5099870000000000000",
            "MaxRange"=>"5990329999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"5099870000000000000",
            "MaxRange"=>"5990329999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6002060000000000000",
            "MaxRange"=>"6008179999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6002060000000000000",
            "MaxRange"=>"6008179999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6008180000000000000",
            "MaxRange"=>"6008189999999999999",
            "TefBrandId"=>"8",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6008190000000000000",
            "MaxRange"=>"6026509999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6008190000000000000",
            "MaxRange"=>"6026509999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6026510000000000000",
            "MaxRange"=>"6026519999999999999",
            "TefBrandId"=>"5",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6026520000000000000",
            "MaxRange"=>"6033419999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6026520000000000000",
            "MaxRange"=>"6033419999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6033420000000000000",
            "MaxRange"=>"6033429999999999999",
            "TefBrandId"=>"5",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6033430000000000000",
            "MaxRange"=>"6033889999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6033430000000000000",
            "MaxRange"=>"6033889999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6033890000000000000",
            "MaxRange"=>"6033899999999999999",
            "TefBrandId"=>"8",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6033900000000000000",
            "MaxRange"=>"6060679999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6033900000000000000",
            "MaxRange"=>"6060679999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6060680000000000000",
            "MaxRange"=>"6060689999999999999",
            "TefBrandId"=>"8",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6060690000000000000",
            "MaxRange"=>"6060699999999999999",
            "TefBrandId"=>"8",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6060700000000000000",
            "MaxRange"=>"6060709999999999999",
            "TefBrandId"=>"8",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6060710000000000000",
            "MaxRange"=>"6060719999999999999",
            "TefBrandId"=>"8",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6060720000000000000",
            "MaxRange"=>"6274159999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6060720000000000000",
            "MaxRange"=>"6274159999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6274160000000000000",
            "MaxRange"=>"6274169999999999999",
            "TefBrandId"=>"14",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6274170000000000000",
            "MaxRange"=>"6277799999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6274170000000000000",
            "MaxRange"=>"6277799999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6277800000000000000",
            "MaxRange"=>"6277809999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6277810000000000000",
            "MaxRange"=>"6280759999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6277810000000000000",
            "MaxRange"=>"6280759999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6280770000000000000",
            "MaxRange"=>"6362969999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6280770000000000000",
            "MaxRange"=>"6362969999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6362970000000000000",
            "MaxRange"=>"6362979999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6362980000000000000",
            "MaxRange"=>"6363499999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6362980000000000000",
            "MaxRange"=>"6363499999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6363500000000000000",
            "MaxRange"=>"6363509999999999999",
            "TefBrandId"=>"14",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6363510000000000000",
            "MaxRange"=>"6363679999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6363510000000000000",
            "MaxRange"=>"6363679999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6363680000000000000",
            "MaxRange"=>"6363689999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6363680000000000000",
            "MaxRange"=>"6363689999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6363690000000000000",
            "MaxRange"=>"6370359999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6363690000000000000",
            "MaxRange"=>"6370359999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6370360000000000000",
            "MaxRange"=>"6370369999999999999",
            "TefBrandId"=>"14",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6370370000000000000",
            "MaxRange"=>"6370379999999999999",
            "TefBrandId"=>"14",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6370380000000000000",
            "MaxRange"=>"6371999999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6370380000000000000",
            "MaxRange"=>"6371999999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6372000000000000000",
            "MaxRange"=>"6372029999999999999",
            "TefBrandId"=>"14",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6372030000000000000",
            "MaxRange"=>"6374299999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6372030000000000000",
            "MaxRange"=>"6374299999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6374300000000000000",
            "MaxRange"=>"6374309999999999999",
            "TefBrandId"=>"14",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6374310000000000000",
            "MaxRange"=>"6374409999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6374310000000000000",
            "MaxRange"=>"6374409999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6374410000000000000",
            "MaxRange"=>"6374419999999999999",
            "TefBrandId"=>"14",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6374420000000000000",
            "MaxRange"=>"6500309999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6374420000000000000",
            "MaxRange"=>"6500309999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6500310000000000000",
            "MaxRange"=>"6500339999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6500340000000000000",
            "MaxRange"=>"6500349999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6500340000000000000",
            "MaxRange"=>"6500349999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6500350000000000000",
            "MaxRange"=>"6500519999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6500520000000000000",
            "MaxRange"=>"6504049999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6500520000000000000",
            "MaxRange"=>"6504049999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6504050000000000000",
            "MaxRange"=>"6504399999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6504400000000000000",
            "MaxRange"=>"6504849999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6504400000000000000",
            "MaxRange"=>"6504849999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6504850000000000000",
            "MaxRange"=>"6505389999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6504850000000000000",
            "MaxRange"=>"6505389999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6505390000000000000",
            "MaxRange"=>"6505409999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6505390000000000000",
            "MaxRange"=>"6505409999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6505410000000000000",
            "MaxRange"=>"6505989999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6505410000000000000",
            "MaxRange"=>"6505989999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6505990000000000000",
            "MaxRange"=>"6506999999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6505990000000000000",
            "MaxRange"=>"6506999999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6507000000000000000",
            "MaxRange"=>"6507189999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6507000000000000000",
            "MaxRange"=>"6507189999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6507190000000000000",
            "MaxRange"=>"6507199999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6507190000000000000",
            "MaxRange"=>"6507199999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6507200000000000000",
            "MaxRange"=>"6507279999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6507200000000000000",
            "MaxRange"=>"6507279999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6507280000000000000",
            "MaxRange"=>"6509009999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6507280000000000000",
            "MaxRange"=>"6509009999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6509010000000000000",
            "MaxRange"=>"6509209999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6509210000000000000",
            "MaxRange"=>"6516519999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6509210000000000000",
            "MaxRange"=>"6516519999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6516520000000000000",
            "MaxRange"=>"6516799999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6516520000000000000",
            "MaxRange"=>"6516799999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6516800000000000000",
            "MaxRange"=>"6549999999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6516800000000000000",
            "MaxRange"=>"6549999999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6550000000000000000",
            "MaxRange"=>"6550199999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6550000000000000000",
            "MaxRange"=>"6550199999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6550200000000000000",
            "MaxRange"=>"6550209999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6550200000000000000",
            "MaxRange"=>"6550209999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6550210000000000000",
            "MaxRange"=>"6550589999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6550210000000000000",
            "MaxRange"=>"6550589999999999999",
            "TefBrandId"=>"19",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6550590000000000000",
            "MaxRange"=>"6818539999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"6550590000000000000",
            "MaxRange"=>"6818539999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"7039000000000000000",
            "MaxRange"=>"7799999999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"7039000000000000000",
            "MaxRange"=>"7799999999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"8711199999900000000",
            "MaxRange"=>"8788899999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"8711199999900000000",
            "MaxRange"=>"8788899999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"9188380000000000000",
            "MaxRange"=>"9883889999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"9188380000000000000",
            "MaxRange"=>"9883889999999999999",
            "TefBrandId"=>"2",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"9344020000000000000",
            "MaxRange"=>"9752231299999999999",
            "TefBrandId"=>"1",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"9344020000000000000",
            "MaxRange"=>"9752231299999999999",
            "TefBrandId"=>"1",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"3400000000000000000",
            "MaxRange"=>"3499999299999999999",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"},
           {"MinRange"=>"3700000000000000000",
            "MaxRange"=>"3799999299999999999",
            "TefBrandId"=>"23",
            "DataSetVersion"=>"0"}]}}
    end
  end
end
